#### DEVICE

#### Synopsis

    HELP:   (HOST) Device used to store the FLAMFILE [FLATFILE]
    TYPE:   NUMBER
    SYNTAX: DEVICE/DEV=FILE/DISK/TAPE/FLOPPY/STREAMER/USER

#### Description

Device assignment for compressed file (z/OS only).

This parameter is not needed for catalogued files under z/OS. The device type is automatically assigned by the operating system. If the user exit for I/O shall be activated, `DEVICE=USER` must be specified.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `DEVICE=DISK/TAPE/FLOPPY/STREAMER/USER`
  - `DEV=DISK/TAPE/FLOPPY/STREAMER/USER`

Values

- z/OS
  - `DISK` - disc unit
  - `TAPE` - tape unit
  - `FLOPPY` - floppy disc drive
  - `STREAMER` - tape streamer
  - `USER` - User specific I/O interface

Default

- z/OS
  - `DISK`

Valid for

- compression
- decompression

#### Selections

- `FILE - Write to a file (equal to disk)`
- `DISK - Write to a disk (equal to file)`
- `TAPE - Write to a tape`
- `FLOPPY - Write to a floppy`
- `STREAMER - Write to a streamer tape`
- `USER - Use user IO`